Subject: Re: FVWM: Style bug for running clients

From: [email-masked] (David Kennedy)
Date: Mon, 2 Jun 1997 23:19:29 +0100

Mark Scott said:
>  A user of mine noticed a bug in FVWM 2.045. He says if he fires up some
>  clients in his .xsession before starting fvwm (ie: xbiff, couple of xterms 
>  & etc) that very often, the "Style" parameters are not properly processed
>  for one of the clients (usually xbiff, but appears to be random or system
>  timing related). When it happens to xbiff, the window title & handles are 
>  drawn even though the Style setting turns them off.  If he restarts fvwm, 
>  all windows are correctly decorated when they are reparented. This is happening
>  on a fast Sparc (Ultra-2 200Mhz), so that may also be bringing out a latent
>  timing bug. Any ideas?

Simple fix - start the apps from inside fvwm.
A nice way to do this is to simply source an external file (.startup
or similar) in the init-function. Works fine for people who other-
wise do not want to mess with fvwm.

As to why this behaviour occurs - dunno. :-)
-- 
David Kennedy, Dept. of Pure & Applied Physics, Queen's University of Belfast
Email: [email-masked] | URL: http://star.pst.qub.ac.uk/~dcjk/
		 And the nature of Monkey was... IRREPRESSIBLE!
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked]
Date: Tue, 3 Jun 1997 01:06:27 -0400 (EDT)

On Mon, 2 Jun 1997, David Kennedy wrote:

: Mark Scott said:
: >  A user of mine noticed a bug in FVWM 2.045. He says if he fires up some
: >  clients in his .xsession before starting fvwm (ie: xbiff, couple of xterms 
: >  & etc) that very often, the "Style" parameters are not properly processed
: >  for one of the clients (usually xbiff, but appears to be random or system
: >  timing related). When it happens to xbiff, the window title & handles are 
: >  drawn even though the Style setting turns them off.  If he restarts fvwm, 
: >  all windows are correctly decorated when they are reparented. This is happening
: >  on a fast Sparc (Ultra-2 200Mhz), so that may also be bringing out a latent
: >  timing bug. Any ideas?
: 
: Simple fix - start the apps from inside fvwm.

That's not a fix ... it's a workaround.  This doesn't work if you
maintain the same startup files for several systems, any of which might
not have fvwm available.

: A nice way to do this is to simply source an external file (.startup
: or similar) in the init-function. Works fine for people who other-
: wise do not want to mess with fvwm.
: 
: As to why this behaviour occurs - dunno. :-)

I've experienced the similar behavior; i use `xsession' as my only
client in ~/.xsession.  xsession starts up all other clients from
~/.X11Startup; it appears to start the window manager simultaneously.
The first client or first two clients from ~/.X11Startup both
occasionally (often with a heavily loaded system) appear with borders
and title bars when they have `NoTitle, NoHandles, BorderWidth 0'
styles set.  The borders and titlebars that appear do not have any of
the attributes set by global `Forecolor' and `Backcolor' styles.
fvwm-2.0.45.

--jim

############### jim knoble ######## [email-masked] #################